squad-calls
Create Squad Outbound Campaign
Create an outbound calling campaign using a squad.
The campaign will be distributed across squad members based on:
- Agent availability
- Agent calling schedules
- Agent daily limits
- Squad routing strategy
Example:
{
"squad_id": "squad-uuid",
"name": "Q4 Sales Campaign",
"targets": [
{"to_number": "+1234567890", "context": {"customer_id": "123"}},
{"to_number": "+0987654321", "context": {"customer_id": "456"}}
],
"routing_strategy": "load_based",
"concurrent_calls_per_agent": 2
}
POST
/
squad-calls
/
squads
/
{squad_id}
/
outbound-campaign
Create Squad Outbound Campaign
curl --request POST \
--url https://api.example.com/squad-calls/squads/{squad_id}/outbound-campaign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"squad_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"targets": [
{}
],
"routing_strategy": "load_based",
"concurrent_calls_per_agent": 2,
"context": {}
}
'import requests
url = "https://api.example.com/squad-calls/squads/{squad_id}/outbound-campaign"
payload = {
"squad_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"targets": [{}],
"routing_strategy": "load_based",
"concurrent_calls_per_agent": 2,
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
squad_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
targets: [{}],
routing_strategy: 'load_based',
concurrent_calls_per_agent: 2,
context: {}
})
};
fetch('https://api.example.com/squad-calls/squads/{squad_id}/outbound-campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Squad-based outbound campaign request.
Required string length:
1 - 255Minimum array length:
1Pattern:
^(round_robin|load_based|skill_based|priority)$Required range:
1 <= x <= 5Response
Successful Response
Previous
Get Squad Call StatsGet call statistics for a squad.
Returns total calls and breakdown by agent for the specified date.
Next
⌘I
Create Squad Outbound Campaign
